<%@ Page Language="C#"
    MasterPageFile="~/Resources/MasterPages/Modal.Master"
    CodeBehind="CancelRelease.aspx.cs"
    Inherits="Inedo.BuildMaster.Web.WebApplication.Applications.Releases.CancelRelease" %>
    
<asp:Content ID="AdditionalHeadContent" ContentPlaceHolderID="AdditionalHeadContent" runat="server">
    <script type="text/javascript">
        $(function(){$('#<%=txtNotes.ClientID %>').focus();});
    </script>
</asp:Content>

<asp:Content ID="MainContent" ContentPlaceHolderID="MainContent" runat="server">

    <bm:FormFieldGroup ID="ReleaseNotesFieldGroup" runat="server" EndGroup="true">
        <Description Heading="Cancellation Notes">
            Give a brief description why the release is being cancelled.
        </Description>
        <FormFields>
            <bm:StandardFormField  LabelText="Notes:" runat="server">
                <FieldContent>
                    <bm:ValidatingTextBox runat="server" ID="txtNotes" Required="true" TextMode="MultiLine" Width="250" Height="100" MaxLength="500" />
                </FieldContent>
            </bm:StandardFormField>
        </FormFields>
    </bm:FormFieldGroup>
    <div style="margin:0px 20px"><bm:InfoBox runat="server" ID="ctlChangeScriptWarning" BoxType="Warning">
    Change scripts and configuration files for this release will remain active 
    and will be deployed with your next release unless you explicitly delete them.
    </bm:InfoBox></div>    

    <div class="action-button-container">
        <asp:Button runat="server" 
            Text="Cancel Release"
            ID="btnCancelRelease"
            OnClick="btnCancelRelease_Click"
            CssClass="button" />
        <bm:CloseModalButtonLink runat="server" />
    </div>

</asp:Content>
