<%@ Page Language="C#" 
    MasterPageFile="~/Resources/MasterPages/Application.Master"
    CodeBehind="ExecutionDetails.aspx.cs" 
    Inherits="Inedo.BuildMaster.Web.WebApplication.Applications.Executions.ExecutionDetails" 
    Title="Execution Details" %>

<asp:Content ID="AdditionalHeadContent" ContentPlaceHolderID="AdditionalHeadContent" runat="server">
    <style>
        .styled-table tr.footerRow { background-color: #dddddd; }
        .styled-table tr.footerRow td { border-top: 1px solid black; }
    </style>
</asp:Content>

<asp:Content ID="MainContent" ContentPlaceHolderID="MainContent" runat="server">
    
    <bm:Breadcrumb runat="server" ID="ctlBreadcrumb" />

    <bm:BuildMasterStyledTable runat="server" ID="tblOverview">
        <asp:TableHeaderRow runat="server">
            <asp:TableHeaderCell ColumnSpan="2">
                Execution Details
            </asp:TableHeaderCell>
        </asp:TableHeaderRow>
        <%-- Rows populated server-side --%>
    </bm:BuildMasterStyledTable>
    
    <bm:BuildMasterStyledTable runat="server" ID="tblActions" />
    <div class="subH2">Note that the total time may be larger than the sum of the individual action groups' execution times as it includes setup time and additional overhead.</div>
    
    <div runat="server" id="ctlRecipes"></div>

</asp:Content>
