﻿function inedobm_service(o) {
    /// <param name="o" value="{ajaxUpdateUrl:''}"/>

    $('.service-start-link').click(function () { $.ajax($(this).attr('href'), { type: 'POST' }); $(this).css('display', 'none'); return false; });
    $('.service-stop-link').click(function () { $.ajax($(this).attr('href'), { type: 'POST' }); $(this).css('display', 'none'); return false; });

    var pauseAutoScroll = false;
    var animating = false;
    var updateFunc = function () {
        $.ajax(o.ajaxUpdateUrl, {
            type: 'POST', dataType: 'json', success: function (data) {
                /// <param name="data" value="{imgUrl:'',text:'',canStart:false,canStop:false,messages:[{cssClass:'',text:''}]}"/>

                if ($('.service-status-img').attr('src') != data.imgUrl)
                    $('.service-status-img').attr('src', data.imgUrl);

                if ($('.service-status-text').text() != data.text)
                    $('.service-status-text').text(data.text);

                $('.service-start-link').css('display', data.canStart ? 'inline' : 'none');
                $('.service-stop-link').css('display', data.canStop ? 'inline' : 'none');

                for (var i = 0; i < data.messages.length; i++) {
                    $('.live-output').append($('<span></span>').attr('class', data.messages[i].cssClass).text(data.messages[i].text));
                }
                setTimeout(updateFunc, 1000);
                if (!pauseAutoScroll) {
                    animating = true;
                    $('.live-output')[0].scrollTop = $('.live-output')[0].scrollHeight;
                    animating = false;
                }
            }
        });
    };
    $('.live-output').scroll(function () {
        if (!animating)
            pauseAutoScroll = true;
        if (this.scrollTop + $(this).innerHeight() >= this.scrollHeight)
            pauseAutoScroll = false;
    });
    setTimeout(updateFunc, 1000);
}